<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.mapper.CaseInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.domain.CaseInfo">
            <id property="caseId" column="case_id" jdbcType="BIGINT"/>
            <result property="caseNo" column="case_no" jdbcType="VARCHAR"/>
            <result property="alarmId" column="alarm_id" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="deviceCode" column="device_code" jdbcType="VARCHAR"/>
            <result property="caseLevel" column="case_level" jdbcType="TINYINT"/>
            <result property="caseDesc" column="case_desc" jdbcType="VARCHAR"/>
            <result property="caseSource" column="case_source" jdbcType="TINYINT"/>
            <result property="caseStatus" column="case_status" jdbcType="TINYINT"/>
            <result property="fileUser" column="file_user" jdbcType="BIGINT"/>
            <result property="verifyUser" column="verify_user" jdbcType="BIGINT"/>
            <result property="verifyTime" column="verify_time" jdbcType="TIMESTAMP"/>
            <result property="finishTime" column="finish_time" jdbcType="TIMESTAMP"/>
            <result property="handleResult" column="handle_result" jdbcType="VARCHAR"/>
            <result property="attachUrl" column="attach_url" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        case_id,case_no,alarm_id,
        device_id,device_code,case_level,
        case_desc,case_source,case_status,
        file_user,verify_user,verify_time,
        finish_time,handle_result,attach_url,
        create_time,update_time
    </sql>
</mapper>
